<?php

	include_once( PLOG_CLASS_PATH."plugins/atom/class/xml/atom/plogatomabstractservice.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/atom/class/template/atomoutputrenderer.class.php" );	
	include_once( PLOG_CLASS_PATH."plugins/atom/class/net/atomrequestgenerator.class.php" );
	include_once( PLOG_CLASS_PATH."class/dao/users.class.php" );
	include_once( PLOG_CLASS_PATH."class/dao/blogs.class.php" );
	
	class DefaultService extends PlogAtomAbstractService 
	{
	
		function DefaultService( $request )
		{
			$this->PlogAtomAbstractService( $request );
		}
		
		/**
		 * the default service should return a list of services
		 */
		function doGet()
		{
			$output = new AtomOutputRenderer( "basic" );
			$output->setValue( "blogs", $this->_blogInfos );
			$output->setValue( "user", $this->_userInfo );
			$output->setValue( "url", new AtomRequestGenerator());
			
			// set the response
			$response = new AtomResponse( $output->fetch());
			$this->setResponse( $response );
			
			return true;
		}
	}
?>